RDKit: RDKit::GeneralMolSupplier::SupplierOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::GeneralMolSupplier::SupplierOptions Struct Reference

`#include <GeneralFileReader.h>`

## Public Attributes
bool | takeOwnership = true
bool | sanitize = true
bool | removeHs = true
bool | strictParsing = true
std::string | delimiter = "\t"
int | smilesColumn = 0
int | nameColumn = 1
bool | titleLine = true
std::string | nameRecord = ""
int | confId2D = -1
int | confId3D = 0
int | numWriterThreads = 0

## Detailed Description

Definition at line 27 of file GeneralFileReader.h.

## Member Data Documentation

## ◆ confId2D

int RDKit::GeneralMolSupplier::SupplierOptions::confId2D = -1

Definition at line 39 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ confId3D

int RDKit::GeneralMolSupplier::SupplierOptions::confId3D = 0

Definition at line 40 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ delimiter

std::string RDKit::GeneralMolSupplier::SupplierOptions::delimiter = "\t"

Definition at line 33 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ nameColumn

int RDKit::GeneralMolSupplier::SupplierOptions::nameColumn = 1

Definition at line 35 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ nameRecord

std::string RDKit::GeneralMolSupplier::SupplierOptions::nameRecord = ""

Definition at line 38 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ numWriterThreads

int RDKit::GeneralMolSupplier::SupplierOptions::numWriterThreads = 0

Definition at line 42 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ removeHs

bool RDKit::GeneralMolSupplier::SupplierOptions::removeHs = true

Definition at line 30 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ sanitize

bool RDKit::GeneralMolSupplier::SupplierOptions::sanitize = true

Definition at line 29 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ smilesColumn

int RDKit::GeneralMolSupplier::SupplierOptions::smilesColumn = 0

Definition at line 34 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ strictParsing

bool RDKit::GeneralMolSupplier::SupplierOptions::strictParsing = true

Definition at line 31 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

## ◆ takeOwnership

bool RDKit::GeneralMolSupplier::SupplierOptions::takeOwnership = true

Definition at line 28 of file GeneralFileReader.h.

## ◆ titleLine

bool RDKit::GeneralMolSupplier::SupplierOptions::titleLine = true

Definition at line 36 of file GeneralFileReader.h.

Referenced by RDKit::GeneralMolSupplier::getSupplier().

The documentation for this struct was generated from the following file:

- GeneralFileReader.h